---
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:    '&IDC_ReturnElementMethodBinding;'
    name:      Return Element Method Binding
    index:     85
    customTagName: returnElementMethodBinding
    superclasses:
    - instance: '&IDC_MethodBinding;'
    # - instance: '&IDC_ExecutableReturningElement;'
    instancesLabeledByRAMB: '&IDMB_Method_Binding__get__Executes_Method_and_Method_Type_RAMB;'
    # defaultTask: '&IDI_Task_ViewReturnElementMethodBinding;'
    # relatedTasks:
    # - instance: '&IDI_Task_ViewReturnElementMethodBinding;'
    # - instance: '&IDI_Task_EditReturnElementMethodBinding;'
    # - instance: '&IDI_Task_TestMethodBinding;'
    # - instance: '&IDI_Task_CloneMethodBinding;'
    translations:
    - relationship: '&IDR_Class__has_title__Translation;'
      values:
      - languageInstanceId: '&IDI_Language_English;'
        value: 'Return Element Method Binding'
    relationships: # FIXME: remove this when we can properly inherit definitions in zq-python
    - instance: '&IDR_Method_Binding__executes__Method;'
      customTagName: 'executesMethod'
    - instance: '&IDR_Method_Binding__has__Parameter_Assignment;'
      customTagName: 'parameterAssignments'
      customTagNameCreatesInstanceOf: '&IDC_ParameterAssignment;'
